#pragma once
#include <stdint.h>
#include <stddef.h>

// IR codes for the remote control
extern const uint16_t ir_code_cool[4][17][407];
extern const uint16_t ir_code_fan[4][407];
extern const uint16_t ir_code_off[407];

// Function to retrieve the IR code for the given mode, fan speed and temperature
size_t getInfraredCode(uint8_t mode, uint8_t fan_speed, uint8_t temperature_index, const uint16_t **codePtr);